Bug 963840 - [abrt] gnome-abrt-0.2.12-2.fc17: magazine_chain_pop_head: Process /usr/bin/python2.7 was killed by signal 11 (SIGSEGV)
[abrt] gnome-abrt-0.2.12-2.fc17: magazine_chain_pop_head: Process /usr/bin/py...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: pygobject3 (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: John (J5) Palmieri
Fedora Extras Quality Assurance
abrt_hash:ba89c2557f3fb38d0e9bdb4805e...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-16 12:40 EDT by Tony
Modified: 2013-07-31 21:25 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 21:25:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (125.10 KB, text/plain)
2013-05-16 12:40 EDT, Tony
no flags Details
File: cgroup (130 bytes, text/plain)
2013-05-16 12:40 EDT, Tony
no flags Details
File: core_backtrace (10.23 KB, text/plain)
2013-05-16 12:40 EDT, Tony
no flags Details
File: dso_list (12.04 KB, text/plain)
2013-05-16 12:40 EDT, Tony
no flags Details
File: environ (1.53 KB, text/plain)
2013-05-16 12:40 EDT, Tony
no flags Details
File: limits (1.29 KB, text/plain)
2013-05-16 12:41 EDT, Tony
no flags Details
File: maps (50.30 KB, text/plain)
2013-05-16 12:41 EDT, Tony
no flags Details
File: open_fds (3.31 KB, text/plain)
2013-05-16 12:41 EDT, Tony
no flags Details
File: proc_pid_status (930 bytes, text/plain)
2013-05-16 12:41 EDT, Tony
no flags Details
File: smolt_data (2.38 KB, text/plain)
2013-05-16 12:41 EDT, Tony
no flags Details

  None (edit)
Description Tony 2013-05-16 12:40:21 EDT
Description of problem:
Placing mouse cursor over the battery/power icon causes the crash.

Version-Release number of selected component:
gnome-abrt-0.2.12-2.fc17

Additional info:
backtrace_rating: 4
cmdline:        python /usr/bin/gnome-abrt
crash_function: magazine_chain_pop_head
executable:     /usr/bin/python2.7
kernel:         3.8.11-100.fc17.x86_64
uid:            1000
ureports_counter: 1
var_log_messages: May 16 17:35:34 Midge64 abrt[10127]: Saved core dump of pid 10044 (/usr/bin/python2.7) to /var/spool/abrt/ccpp-2013-05-16-17:35:33-10044 (25989120 bytes)
xsession_errors: /usr/lib64/python2.7/site-packages/gi/types.py:43: Warning: Accessing a sequence while it is being sorted or searched is not allowed

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 magazine_chain_pop_head at gslice.c:532
 #1 thread_memory_magazine1_alloc at gslice.c:835
 #2 g_slice_alloc at gslice.c:994
 #3 g_slice_alloc0 at gslice.c:1029
 #4 g_type_create_instance at gtype.c:1872
 #5 g_object_constructor at gobject.c:1849
 #7 g_object_new_valist at gobject.c:1830
 #9 g_themed_icon_new at gthemedicon.c:273
 #10 g_desktop_app_info_load_from_keyfile at gdesktopappinfo.c:356
 #11 g_desktop_app_info_load_file at gdesktopappinfo.c:387
Comment 1 Tony 2013-05-16 12:40:41 EDT
Created attachment 748923 [details]
File: backtrace
Comment 2 Tony 2013-05-16 12:40:48 EDT
Created attachment 748924 [details]
File: cgroup
Comment 3 Tony 2013-05-16 12:40:52 EDT
Created attachment 748925 [details]
File: core_backtrace
Comment 4 Tony 2013-05-16 12:40:55 EDT
Created attachment 748926 [details]
File: dso_list
Comment 5 Tony 2013-05-16 12:40:58 EDT
Created attachment 748927 [details]
File: environ
Comment 6 Tony 2013-05-16 12:41:00 EDT
Created attachment 748928 [details]
File: limits
Comment 7 Tony 2013-05-16 12:41:05 EDT
Created attachment 748929 [details]
File: maps
Comment 8 Tony 2013-05-16 12:41:09 EDT
Created attachment 748930 [details]
File: open_fds
Comment 9 Tony 2013-05-16 12:41:11 EDT
Created attachment 748931 [details]
File: proc_pid_status
Comment 10 Tony 2013-05-16 12:41:14 EDT
Created attachment 748933 [details]
File: smolt_data
Comment 11 Jakub Filak 2013-05-21 03:20:44 EDT
Thank you for the report! I'm not sure how this could happen due to a bug in gnome-abrt code. Reassigning to pygobject3. Maybe they can help us.

A snippet of code probably involved in this bug:

from gi.repository import Gtk
from gi.repository import Gio
...
theme = Gtk.IconTheme.get_default()
for dai in Gio.DesktopAppInfo.get_all()
...
  dai_icon = dai.get_icon()


And one more question for pygobject3:

Should I make a copy of Gio.DesktopAppInfo.get_all() return value and use the copy for iteration? 

Because I'm not sure how to get rig of the following warning.
xsession_errors: /usr/lib64/python2.7/site-packages/gi/types.py:43: Warning: Accessing a sequence while it is being sorted or searched is not allowed
Comment 12 Fedora End Of Life 2013-07-03 19:04:49 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 13 Fedora End Of Life 2013-07-31 21:25:54 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.